prom <- 0
stand <- 1
samp1 <- 50
samp2 <- 50

number <- 100000 # for smaller sample sizes you need to run many more iterations
t_distribution <- rep(0,number)

for (i in 1:number) {

	dis1 <- rnorm((samp1),mean=prom,sd=stand)
	dis2 <- rnorm((samp2),mean=prom,sd=stand)
	denom <- (((samp1-1)*var(dis1) + (samp2-1)*var(dis2))/(samp1+samp2))*((samp1+samp2)/(samp1*samp2))
	t_distribution[i] <- (mean(dis1)-mean(dis2))/sqrt(denom)
}



quantile(t_distribution,c(0.95))

qt(0.95, samp1-1)
brk <- seq(-10,10,0.1)

standard_normal<- rnorm(number,mean=prom,sd=stand)
par(mfrow=c(1,2))
hist(t_distribution,breaks=brk)
hist(standard_normal,breaks=brk)
par(mfrow=c(1,1))

rm(list=ls())
